Show / Hide Table of Contents

# Struct MemberRoleEditInfo

An information object representing a change in one of a guild member's roles.

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: Discord.Rest

###### Assembly: Discord.Net.Rest.dll

##### Syntax

    public struct MemberRoleEditInfo

### Properties

| Improve this Doc View Source

#### Added

Gets a value that indicates whether the role was added to the user.

##### Declaration

    public bool Added { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean | `true` if the role was added to the user; otherwise `false`.

| Improve this Doc View Source

#### Name

Gets the name of the role that was changed.

##### Declaration

    public string Name { get; }

##### Property Value

Type | Description
--- | ---
System.String | A string containing the name of the role that was changed.

| Improve this Doc View Source

#### RoleId

Gets the ID of the role that was changed.

##### Declaration

    public ulong RoleId { get; }

##### Property Value

Type | Description
--- | ---
System.UInt64 | A System.UInt64 representing the snowflake identifier of the role that was changed.